package com.alee.laf.panel;

import com.alee.extended.background.BackgroundPainter;
import com.alee.laf.StyleConstants;

import java.awt.*;

/**
 * User: mgarin Date: 02.11.11 Time: 12:15
 */

public final class WebPanelStyle
{
    /*
    * Decorate panel with Web-styled background or not
    */
    public static boolean undecorated = true;

    /*
    * Decoration rounding
    */
    public static int round = StyleConstants.smallRound;

    /*
    * Decoration shade width
    */
    public static int shadeWidth = StyleConstants.shadeWidth;

    /*
    * Default panel margin
    */
    public static Insets margin = StyleConstants.margin;

    /*
    * Fill decoration background
    */
    public static boolean fillBackground = true;

    /*
    * Web-styled background
    */
    public static boolean webColored = true;

    /*
    * Default panel background color
    */
    public static Color backgroundColor = StyleConstants.backgroundColor;

    /*
    * Default panel background painter
    */
    public static BackgroundPainter backgroundPainter = StyleConstants.backgroundPainter;

    /*
    * Sides which will drawed when panel is decorated with Web-styled border
    */
    public static boolean drawTop = true;
    public static boolean drawLeft = true;
    public static boolean drawBottom = true;
    public static boolean drawRight = true;
}
